summarylogtreecommitdiffstats
path: root/update-branch.sh
diff options
context:
space:
mode:
Diffstat (limited to 'update-branch.sh')
-rwxr-xr-xupdate-branch.sh10
1 files changed, 8 insertions, 2 deletions
diff --git a/update-branch.sh b/update-branch.sh
index aedb88d4837e..f089966cc905 100755
--- a/update-branch.sh
+++ b/update-branch.sh
@@ -7,12 +7,18 @@ LOCAL_BRANCH=upstream
git fetch "$REMOTE_URL" "$REMOTE_BRANCH"
git checkout -B "$LOCAL_BRANCH" FETCH_HEAD
FILTER_BRANCH_SQUELCH_WARNING=1 git filter-branch -f --subdirectory-filter trunk \
- --tree-filter 'git rm -rf keys; { makepkg --printsrcinfo && echo; } >.SRCINFO || rm .SRCINFO' \
+ --tree-filter '(makepkg --printsrcinfo; status=$?; echo; exit $status) >.SRCINFO || rm .SRCINFO' \
--commit-filter '
if [ -e .SRCINFO ]
then
git commit-tree "$@"
else
- skip_commit "$@"
+ shift
+ while [ -n "$1" ]
+ do
+ shift
+ map "$1"
+ shift
+ done
fi'
git checkout -